Index: modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/searchPages/advanced/advancedSearchProjects-routing.module.ts
===================================================================
--- modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/searchPages/advanced/advancedSearchProjects-routing.module.ts	(nonexistent)
+++ modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/searchPages/advanced/advancedSearchProjects-routing.module.ts	(revision 59305)
@@ -0,0 +1,19 @@
+import { NgModule } from '@angular/core';
+import { RouterModule } from '@angular/router';
+
+import{OpenaireAdvancedSearchProjectsComponent} from './advancedSearchProjects.component';
+import {FreeGuard} from '../../openaireLibrary/login/freeGuard.guard';
+import {PreviousRouteRecorder} from '../../openaireLibrary/utils/piwik/previousRouteRecorder.guard';
+
+
+@NgModule({
+  imports: [
+    RouterModule.forChild([
+     	{ path: '', component: OpenaireAdvancedSearchProjectsComponent, canActivate: [FreeGuard], data: {
+          redirect: '/error',  community : 'openaire'
+        }, canDeactivate: [PreviousRouteRecorder] }
+
+    ])
+  ]
+})
+export class AdvancedSearchProjectsRoutingModule { }
Index: modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/searchPages/advanced/advancedSearchOrganizations.component.ts
===================================================================
--- modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/searchPages/advanced/advancedSearchOrganizations.component.ts	(nonexistent)
+++ modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/searchPages/advanced/advancedSearchOrganizations.component.ts	(revision 59305)
@@ -0,0 +1,51 @@
+import {Component, Input, ViewChild} from '@angular/core';
+import {SearchCustomFilter} from "../../openaireLibrary/searchPages/searchUtils/searchUtils.class";
+import {ActivatedRoute} from "@angular/router";
+import {ConnectHelper} from "../../openaireLibrary/connect/connectHelper";
+import {PiwikHelper} from "../../utils/piwikHelper";
+
+
+@Component({
+    selector: 'openaire-advanced-search-organizations',
+    template: `
+    <search-organizations [simpleView]="false"   [customFilter]=customFilter [piwikSiteId]="piwikSiteId" [hasPrefix]="false" [showBreadcrumb]="true" [showSwitchSearchLink]="false">
+    </search-organizations>
+
+    `
+ })
+
+export class OpenaireAdvancedSearchOrganizationsComponent {
+  connectCommunityId:string;
+  piwikSiteId = null;
+  customFilter: SearchCustomFilter = null;
+  constructor ( private  route: ActivatedRoute) {
+  }
+  ngOnInit() {
+    this.route.data
+      .subscribe((data: { envSpecific: any }) => {
+
+        var communityId =  ConnectHelper.getCommunityFromDomain(data.envSpecific.domain);
+
+        this.piwikSiteId = PiwikHelper.getSiteId(communityId, data.envSpecific.environment);
+
+        if(communityId){
+          this.connectCommunityId = communityId;
+          this.customFilter = new SearchCustomFilter("Community", "communityId", this.connectCommunityId, "");
+          this.customFilter.isHiddenFilter = false;
+
+        } else{
+          this.route.queryParams.subscribe(params => {
+
+            if(params['communityId'] && params['communityId']!=""){
+              this.connectCommunityId = params['communityId'];
+              this.piwikSiteId = PiwikHelper.getSiteId(this.connectCommunityId, data.envSpecific.environment);
+              this.customFilter = new SearchCustomFilter("Community", "communityId", this.connectCommunityId, "");
+              this.customFilter.isHiddenFilter = false;
+
+            }
+          });
+        }
+      });
+  }
+
+}
Index: modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/searchPages/advanced/advancedSearchDataProviders.component.ts
===================================================================
--- modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/searchPages/advanced/advancedSearchDataProviders.component.ts	(nonexistent)
+++ modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/searchPages/advanced/advancedSearchDataProviders.component.ts	(revision 59305)
@@ -0,0 +1,48 @@
+import {Component, Input, ViewChild} from '@angular/core';
+import {SearchCustomFilter} from "../../openaireLibrary/searchPages/searchUtils/searchUtils.class";
+import {ActivatedRoute} from "@angular/router";
+import {ConnectHelper} from "../../openaireLibrary/connect/connectHelper";
+import {PiwikHelper} from "../../utils/piwikHelper";
+
+
+@Component({
+    selector: 'openaire-advanced-search-dataprovider',
+    template: `
+    <search-dataproviders  [simpleView]="false"   [customFilter]=customFilter [piwikSiteId]="piwikSiteId" [hasPrefix]="false" [showBreadcrumb]="true" [showSwitchSearchLink]="false">
+    </search-dataproviders>
+
+    `
+ })
+
+export class OpenaireAdvancedSearchDataProvidersComponent {
+  connectCommunityId:string;
+  piwikSiteId = null;
+  customFilter: SearchCustomFilter = null;
+  constructor ( private  route: ActivatedRoute) {
+  }
+  ngOnInit() {
+    this.route.data
+      .subscribe((data: { envSpecific: any }) => {
+
+        var communityId =  ConnectHelper.getCommunityFromDomain(data.envSpecific.domain);
+
+        this.piwikSiteId = PiwikHelper.getSiteId(communityId, data.envSpecific.environment);
+
+        if(communityId){
+          this.connectCommunityId = communityId;
+          this.customFilter = new SearchCustomFilter("Community", "communityId", this.connectCommunityId, "");
+          this.customFilter.isHiddenFilter = false;
+        } else{
+          this.route.queryParams.subscribe(params => {
+
+            if(params['communityId'] && params['communityId']!=""){
+              this.connectCommunityId = params['communityId'];
+              this.piwikSiteId = PiwikHelper.getSiteId(this.connectCommunityId, data.envSpecific.environment);
+              this.customFilter = new SearchCustomFilter("Community", "communityId", this.connectCommunityId, "");
+              this.customFilter.isHiddenFilter = false;
+            }
+          });
+        }
+      });
+  }
+}
Index: modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/searchPages/advanced/advancedSearchProjects.component.ts
===================================================================
--- modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/searchPages/advanced/advancedSearchProjects.component.ts	(nonexistent)
+++ modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/searchPages/advanced/advancedSearchProjects.component.ts	(revision 59305)
@@ -0,0 +1,46 @@
+import {Component} from '@angular/core';
+import {SearchCustomFilter} from "../../openaireLibrary/searchPages/searchUtils/searchUtils.class";
+import {ActivatedRoute} from "@angular/router";
+import {ConnectHelper} from "../../openaireLibrary/connect/connectHelper";
+import {PiwikHelper} from "../../utils/piwikHelper";
+@Component({
+    selector: 'openaire-advanced-search-projects',
+    template: `
+      <search-projects [simpleView]="false"  [customFilter]=customFilter [piwikSiteId]="piwikSiteId" [hasPrefix]="false" [showBreadcrumb]="true" [showSwitchSearchLink]="false">
+      </search-projects>
+
+    `
+ })
+
+export class OpenaireAdvancedSearchProjectsComponent {
+  connectCommunityId:string;
+  piwikSiteId = null;
+  customFilter: SearchCustomFilter = null;
+  constructor ( private  route: ActivatedRoute) {
+  }
+  ngOnInit() {
+    this.route.data
+      .subscribe((data: { envSpecific: any }) => {
+
+        var communityId =  ConnectHelper.getCommunityFromDomain(data.envSpecific.domain);
+
+        this.piwikSiteId = PiwikHelper.getSiteId(communityId, data.envSpecific.environment);
+
+        if(communityId){
+          this.connectCommunityId = communityId;
+          this.customFilter = new SearchCustomFilter("Community", "communityId", this.connectCommunityId, "");
+          this.customFilter.isHiddenFilter = false;
+        } else{
+          this.route.queryParams.subscribe(params => {
+
+            if(params['communityId'] && params['communityId']!=""){
+              this.connectCommunityId = params['communityId'];
+              this.piwikSiteId = PiwikHelper.getSiteId(this.connectCommunityId, data.envSpecific.environment);
+              this.customFilter = new SearchCustomFilter("Community", "communityId", this.connectCommunityId, "");
+              this.customFilter.isHiddenFilter = false;
+            }
+          });
+        }
+      });
+  }
+}
Index: modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/searchPages/advanced/advancedSearchDataProviders.module.ts
===================================================================
--- modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/searchPages/advanced/advancedSearchDataProviders.module.ts	(nonexistent)
+++ modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/searchPages/advanced/advancedSearchDataProviders.module.ts	(revision 59305)
@@ -0,0 +1,26 @@
+import {NgModule} from '@angular/core';
+import {CommonModule} from '@angular/common';
+import {FormsModule} from '@angular/forms';
+
+import {AdvancedSearchDataProvidersRoutingModule} from './advancedSearchDataProviders-routing.module';
+import {OpenaireAdvancedSearchDataProvidersComponent} from './advancedSearchDataProviders.component';
+
+import {FreeGuard} from '../../openaireLibrary/login/freeGuard.guard';
+import {SearchDataProvidersModule} from "../../openaireLibrary/searchPages/searchDataProviders.module";
+
+@NgModule({
+  imports: [
+    CommonModule, FormsModule,
+    AdvancedSearchDataProvidersRoutingModule,
+    SearchDataProvidersModule
+
+  ],
+  declarations: [
+    OpenaireAdvancedSearchDataProvidersComponent
+   ],
+  providers:[FreeGuard],
+  exports: [
+    OpenaireAdvancedSearchDataProvidersComponent
+     ]
+})
+export class LibAdvancedSearchDataProvidersModule { }
Index: modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/searchPages/advanced/advancedSearchOrganizations.module.ts
===================================================================
--- modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/searchPages/advanced/advancedSearchOrganizations.module.ts	(nonexistent)
+++ modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/searchPages/advanced/advancedSearchOrganizations.module.ts	(revision 59305)
@@ -0,0 +1,26 @@
+import {NgModule} from '@angular/core';
+import {CommonModule} from '@angular/common';
+import {FormsModule} from '@angular/forms';
+
+import {AdvancedSearchOrganizationsRoutingModule} from './advancedSearchOrganizations-routing.module';
+import {OpenaireAdvancedSearchOrganizationsComponent} from './advancedSearchOrganizations.component';
+
+import {FreeGuard} from '../../openaireLibrary/login/freeGuard.guard';
+import {SearchOrganizationsModule} from "../../openaireLibrary/searchPages/searchOrganizations.module";
+
+@NgModule({
+  imports: [
+    CommonModule, FormsModule,
+    SearchOrganizationsModule,
+   AdvancedSearchOrganizationsRoutingModule
+
+  ],
+  declarations: [
+    OpenaireAdvancedSearchOrganizationsComponent
+   ],
+  providers:[FreeGuard],
+  exports: [
+    OpenaireAdvancedSearchOrganizationsComponent
+     ]
+})
+export class LibAdvancedSearchOrganizationsModule { }
Index: modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/searchPages/advanced/advancedSearchProjects.module.ts
===================================================================
--- modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/searchPages/advanced/advancedSearchProjects.module.ts	(nonexistent)
+++ modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/searchPages/advanced/advancedSearchProjects.module.ts	(revision 59305)
@@ -0,0 +1,26 @@
+import {NgModule} from '@angular/core';
+import {CommonModule} from '@angular/common';
+import {FormsModule} from '@angular/forms';
+
+import {AdvancedSearchProjectsRoutingModule} from './advancedSearchProjects-routing.module';
+import {OpenaireAdvancedSearchProjectsComponent} from './advancedSearchProjects.component';
+import {FreeGuard} from '../../openaireLibrary/login/freeGuard.guard';
+import {SearchProjectsModule} from "../../openaireLibrary/searchPages/searchProjects.module";
+
+@NgModule({
+  imports: [
+    CommonModule, FormsModule,
+    SearchProjectsModule,
+    AdvancedSearchProjectsRoutingModule
+
+  ],
+  declarations: [
+    OpenaireAdvancedSearchProjectsComponent
+  ],
+  providers: [FreeGuard],
+  exports: [
+    OpenaireAdvancedSearchProjectsComponent
+  ]
+})
+export class LibAdvancedSearchProjectsModule {
+}
Index: modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/searchPages/simple/searchResearchResults.component.ts
===================================================================
--- modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/searchPages/simple/searchResearchResults.component.ts	(revision 59304)
+++ modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/searchPages/simple/searchResearchResults.component.ts	(revision 59305)
@@ -8,9 +8,9 @@
 @Component({
     selector: 'openaire-search-results',
     template: `
-      <search-research-results resultType="result" openaireLink="https://beta.explore.openaire.eu/search/find/publications"
+      <search-research-results resultType="result" openaireLink="https://beta.explore.openaire.eu/search/find/research-outcomes"
                                [customFilter]=customFilter [piwikSiteId]="piwikSiteId" [hasPrefix]="false" 
-                               [includeOnlyResultsAndFilter]="false" [showBreadcrumb]="true" [showAdvancedSearchLink]="true"></search-research-results>
+                               [includeOnlyResultsAndFilter]="false" [showBreadcrumb]="true" [showSwitchSearchLink]="true"></search-research-results>
     `
 
 })
Index: modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/app.module.ts
===================================================================
--- modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/app.module.ts	(revision 59304)
+++ modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/app.module.ts	(revision 59305)
@@ -27,6 +27,7 @@
 import {InviteBasicModule} from "./utils/subscribe/invite/inviteBasic.module";
 import {SubscribeService} from "./openaireLibrary/utils/subscribe/subscribe.service";
 import {PageURLResolverModule} from "./openaireLibrary/utils/pageURLResolver.module";
+import {Schema2jsonldModule} from "./openaireLibrary/sharedComponents/schema2jsonld/schema2jsonld.module";
 
 @NgModule({
 
@@ -45,7 +46,7 @@
     AppRoutingModule,
     BrowserTransferStateModule,
     BrowserAnimationsModule,
-    PageURLResolverModule
+    PageURLResolverModule, Schema2jsonldModule
   ],
   declarations: [ AppComponent, OpenaireErrorPageComponent],
   exports: [ AppComponent ],
Index: modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/statistics/statistics.component.ts
===================================================================
--- modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/statistics/statistics.component.ts	(revision 59304)
+++ modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/statistics/statistics.component.ts	(revision 59305)
@@ -107,8 +107,8 @@
               HelperFunctions.scroll();
             }
             this.communityName = community.shortTitle;
+            this.createChartUrlMap();
             this.createStatisticsObjects();
-            this.createChartUrlMap();
           }));
         // console.log(" Stats! "+ this.properties.statisticsAPIURL);
 
@@ -180,12 +180,13 @@
             }
         }
         console.log(this.entitiesList);*/
+        this.initializeDisplayedCharts()
       },
       error => {
         //console.log(error)
         this.handleError("Error getting community with id: " + this.communityId, error);
-      },
-      () => this.initializeDisplayedCharts()
+        this.initializeDisplayedCharts();
+      }
     ));
   }
 
Index: modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/statistics/statistics-routing.module.ts
===================================================================
--- modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/statistics/statistics-routing.module.ts	(revision 59304)
+++ modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/statistics/statistics-routing.module.ts	(revision 59305)
@@ -1,10 +1,9 @@
-import { NgModule } from '@angular/core';
-import { RouterModule } from '@angular/router';
+import {NgModule} from '@angular/core';
+import {RouterModule} from '@angular/router';
 
-import{StatisticsComponent} from './statistics.component';
+import {StatisticsComponent} from './statistics.component';
 import {FreeGuard} from '../openaireLibrary/login/freeGuard.guard';
 import {PreviousRouteRecorder} from '../openaireLibrary/utils/piwik/previousRouteRecorder.guard';
-// import {IsRouteEnabled} from '../openaireLibrary/error/isRouteEnabled.guard'
 
 @NgModule({
   imports: [
Index: modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/verification-manager/verification-manager.component.ts
===================================================================
--- modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/verification-manager/verification-manager.component.ts	(nonexistent)
+++ modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/verification-manager/verification-manager.component.ts	(revision 59305)
@@ -0,0 +1,59 @@
+import {Component, OnDestroy, OnInit} from "@angular/core";
+import {UserRegistryService} from "../openaireLibrary/services/user-registry.service";
+import {ActivatedRoute} from "@angular/router";
+import {Subscription} from "rxjs";
+import {CommunityService} from "../openaireLibrary/connect/community/community.service";
+import {properties} from "../../environments/environment";
+
+@Component({
+  selector: 'verification-manager',
+  template: `
+    <div class="uk-section uk-container">
+      <div class="uk-card uk-card-default uk-card-body">
+        <div *ngIf="loading" class="loading-gif"></div>
+        <div *ngIf="!loading && invitation">
+          <verification [name]="name" [invitation]="invitation"></verification>
+        </div>
+      </div>
+    </div>
+  `
+})
+export class VerificationManagerComponent implements OnInit, OnDestroy {
+  
+  private subscriptions: any[] = [];
+  public loading = true;
+  public invitation;
+  public name;
+  
+  constructor(private userRegistryService: UserRegistryService,
+              private communityService: CommunityService,
+              private route: ActivatedRoute) {
+  }
+  
+  ngOnInit() {
+    this.subscriptions.push(this.route.params.subscribe(params => {
+      if (params && params['id']) {
+        this.subscriptions.push(this.userRegistryService.getInvitation(params['id']).subscribe(invitation => {
+          this.invitation = invitation;
+          this.subscriptions.push(this.communityService.
+            getCommunityByState(properties, properties.communityAPI + invitation.entity).subscribe(community => {
+            this.name = community.title;
+            this.loading = false;
+          }));
+        }, error => {
+          this.loading = false;
+          console.error(error);
+        }));
+      }
+    }));
+  }
+  
+  ngOnDestroy() {
+    this.subscriptions.forEach(sub => {
+      if (sub instanceof Subscription) {
+        sub.unsubscribe();
+      }
+    });
+  }
+  
+}
Index: modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/verification-manager/verification-manager-routing.module.ts
===================================================================
--- modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/verification-manager/verification-manager-routing.module.ts	(nonexistent)
+++ modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/verification-manager/verification-manager-routing.module.ts	(revision 59305)
@@ -0,0 +1,15 @@
+import {NgModule} from '@angular/core';
+import {RouterModule} from '@angular/router';
+import {PreviousRouteRecorder} from "../openaireLibrary/utils/piwik/previousRouteRecorder.guard";
+import {VerificationGuard} from "../openaireLibrary/login/verification.guard";
+import {VerificationManagerComponent} from "./verification-manager.component";
+
+@NgModule({
+  imports: [
+    RouterModule.forChild([
+      { path: '', component: VerificationManagerComponent, canActivate: [VerificationGuard], canDeactivate: [PreviousRouteRecorder]}
+    ])
+  ]
+})
+export class VerificationManagerRoutingModule {
+}
Index: modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/verification-manager/verification-manager.module.ts
===================================================================
--- modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/verification-manager/verification-manager.module.ts	(nonexistent)
+++ modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/verification-manager/verification-manager.module.ts	(revision 59305)
@@ -0,0 +1,14 @@
+import {NgModule} from "@angular/core";
+import {CommonModule} from "@angular/common";
+import {VerificationManagerComponent} from "./verification-manager.component";
+import {VerificationModule} from "../openaireLibrary/verification/verification.module";
+import {VerificationGuard} from "../openaireLibrary/login/verification.guard";
+import {VerificationManagerRoutingModule} from "./verification-manager-routing.module";
+
+@NgModule({
+  imports: [CommonModule, VerificationModule, VerificationManagerRoutingModule],
+  declarations: [VerificationManagerComponent],
+  exports: [VerificationManagerComponent],
+  providers: [VerificationGuard]
+})
+export class VerificationManagerModule {}
Index: modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/contact/contact-routing.module.ts
===================================================================
--- modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/contact/contact-routing.module.ts	(revision 59304)
+++ modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/contact/contact-routing.module.ts	(revision 59305)
@@ -2,11 +2,12 @@
 import {RouterModule} from '@angular/router';
 import {ContactComponent} from './contact.component';
 import {IsRouteEnabled} from "../openaireLibrary/error/isRouteEnabled.guard";
+import {PreviousRouteRecorder} from "../openaireLibrary/utils/piwik/previousRouteRecorder.guard";
 
 @NgModule({
     imports: [
         RouterModule.forChild([
-            { path: '', component: ContactComponent, canActivate: [IsRouteEnabled]}
+            { path: '', component: ContactComponent, canActivate: [IsRouteEnabled], canDeactivate: [PreviousRouteRecorder]}
         ])
     ]
 })
Index: modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/communities/communities.module.ts
===================================================================
--- modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/communities/communities.module.ts	(revision 59304)
+++ modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/communities/communities.module.ts	(revision 59305)
@@ -17,7 +17,6 @@
 import {HelperModule} from "../openaireLibrary/utils/helper/helper.module";
 import {GifSliderModule} from "../openaireLibrary/utils/gif-slider/gif-slider.module";
 import {OtherPortalsModule} from "../openaireLibrary/sharedComponents/other-portals/other-portals.module";
-import {Schema2jsonldModule} from "../openaireLibrary/sharedComponents/schema2jsonld/schema2jsonld.module";
 import {SEOServiceModule} from "../openaireLibrary/sharedComponents/SEO/SEOService.module";
 
 @NgModule({
@@ -25,7 +24,7 @@
     CommonModule, FormsModule, RouterModule,
     ManageModule, ErrorMessagesModule,
     SearchFormModule, BrowseCommunityModule, GifSliderModule, OtherPortalsModule,
-    HelperModule, Schema2jsonldModule, SEOServiceModule
+    HelperModule, SEOServiceModule
   ],
   declarations: [
     CommunitiesComponent
Index: modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/learn-how/faqs/faqs.component.ts
===================================================================
--- modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/learn-how/faqs/faqs.component.ts	(revision 59304)
+++ modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/learn-how/faqs/faqs.component.ts	(revision 59305)
@@ -18,6 +18,6 @@
 })
 export class FaqsComponent {
   public pageTitle: string = "OpenAIRE - Connect | FAQs";
-  public pageDescription: string = "OpenAIRE - Connect, Community Gateway, research community";
+  public pageDescription: string = "Frequently asked questions about OpenAIRE Connect research gateway";
   public breadcrumbs: Breadcrumb[] = [{name: 'home', route: '/'}, {name: 'about', route: '/about'}, {name: 'FAQs'}];
 }
